| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Functions
arGetTransMatStereo.c File Reference
`#include <stdlib.h>`
`#include <math.h>`
`#include <ARX/AR/ar.h>`
Include dependency graph for arGetTransMatStereo.c:

## Functions
ARdouble | arGetTransMatSquareStereo (AR3DStereoHandle *handle, ARMarkerInfo *marker_infoL, ARMarkerInfo *marker_infoR, ARdouble width, ARdouble conv[3][4])
ARdouble | arGetTransMatSquareContStereo (AR3DStereoHandle *handle, ARMarkerInfo *marker_infoL, ARMarkerInfo *marker_infoR, ARdouble prev_conv[3][4], ARdouble width, ARdouble conv[3][4])
ARdouble | arGetTransMatStereo (AR3DStereoHandle *handle, ARdouble initConv[3][4], ARdouble pos2dL[][2], ARdouble pos3dL[][3], int numL, ARdouble pos2dR[][2], ARdouble pos3dR[][3], int numR, ARdouble conv[3][4])
ARdouble | arGetTransMatStereoRobust (AR3DStereoHandle *handle, ARdouble initConv[3][4], ARdouble pos2dL[][2], ARdouble pos3dL[][3], int numL, ARdouble pos2dR[][2], ARdouble pos3dR[][3], int numR, ARdouble conv[3][4])

## Function Documentation

## ◆ arGetTransMatSquareContStereo()

ARdouble arGetTransMatSquareContStereo | ( | AR3DStereoHandle * | handle,
|  | ARMarkerInfo * | marker_infoL,
|  | ARMarkerInfo * | marker_infoR,
|  | ARdouble | prev_conv[3][4],
|  | ARdouble | width,
|  | ARdouble | conv[3][4]
| ) |  |

Here is the call graph for this function:

## ◆ arGetTransMatSquareStereo()

ARdouble arGetTransMatSquareStereo | ( | AR3DStereoHandle * | handle,
|  | ARMarkerInfo * | marker_infoL,
|  | ARMarkerInfo * | marker_infoR,
|  | ARdouble | width,
|  | ARdouble | conv[3][4]
| ) |  |

Here is the call graph for this function:

## ◆ arGetTransMatStereo()

ARdouble arGetTransMatStereo | ( | AR3DStereoHandle * | handle,
|  | ARdouble | initConv[3][4],
|  | ARdouble | pos2dL[][2],
|  | ARdouble | pos3dL[][3],
|  | int | numL,
|  | ARdouble | pos2dR[][2],
|  | ARdouble | pos3dR[][3],
|  | int | numR,
|  | ARdouble | conv[3][4]
| ) |  |

Here is the call graph for this function:

## ◆ arGetTransMatStereoRobust()

ARdouble arGetTransMatStereoRobust | ( | AR3DStereoHandle * | handle,
|  | ARdouble | initConv[3][4],
|  | ARdouble | pos2dL[][2],
|  | ARdouble | pos3dL[][3],
|  | int | numL,
|  | ARdouble | pos2dR[][2],
|  | ARdouble | pos3dR[][3],
|  | int | numR,
|  | ARdouble | conv[3][4]
| ) |  |

Here is the call graph for this function: